RHINO-DEBUGGER(1)

NAME
rhino-debugger - invokes the rhino JavaScript debugger GUI

SYNOPSIS
rhino-debugger [options] script_filename_or_url [script_arguments]

DESCRIPTION
This manual page documents briefly the rhino-debugger command. This manual page was written for the Debian distribution because the original program does not have a manual page. It is written according to the html documentation.

rhino-debugger is a start script for the rhino JavaScript debugger. The Rhino JavaScript debugger is a GUI that allows debugging of interpreted JavaScript scripts run in Rhino. Note that this debugger will not work with JavaScript scripts run in the mozilla browser since Rhino is not the engine used in such environments.

OPTIONS

-e script_source
    Executes script_source as a JavaScript script.

-f script_filename_or_url
    Reads script_filename_or_url content and execute it as a JavaScript script.

-opt, -O optLevel
    Optimizes at level optLevel, which must be an integer between 0 and 9.

-version versionNumber
    Specifies the language version to compile with. The string versionNumber must be one of 100, 110, 120, 130, or 140. See JavaScript Language Versions for more information on language versions.

-strict
    Enable strict mode.

EXAMPLE
Example debugging the NervousText.js applet written in JavaScript. The example is provided in the librhino-java-doc package. $ rhino-debugger NervousText.js

SEE ALSO
The online documentation under http://www.mozilla.org/rhino/debugger.html

AUTHOR
This manual page was written by Damien Raude-Morvan <drazzib@debian.org>, for the Debian project (but may be used by others).